Subject: Re: linux-next: manual merge of the mm-stable tree with the ext4 tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 21 Feb 2023 17:54:36 +1100

Hi all,

On Mon, 20 Feb 2023 14:27:00 +0000 Matthew Wilcox <[email-masked]> wrote:
>
> On Mon, Feb 20, 2023 at 03:29:38PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the mm-stable tree got a conflict in:
> > 
> >   fs/ext4/inode.c
> > 
> > between commits:
> > 
> >   726432969963 ("ext4: use nr_to_write directly in mpage_prepare_extent_to_map()")
> >   9ff6a9153c8f ("ext4: move page unlocking out of mpage_submit_page()")
> >   b4d26e70a755 ("ext4: move mpage_page_done() calls after error handling")
> >   9b18c23c131a ("ext4: convert data=journal writeback to use ext4_writepages()")
> > 
> > from the ext4 tree and commits:
> > 
> >   50ead2537441 ("ext4: convert mpage_prepare_extent_to_map() to use filemap_get_folios_tag()")
> >   d585bdbeb79a ("fs: convert writepage_t callback to pass a folio")
> > 
> > from the mm-stable tree.
> > 
> > I have no idea how to fix this up, so I have used the ext4 tree from
> > next-20230217 for today.  
> 
> Yeah, this one's a mess.  Probably the easiest solution is for Ted to
> pull in 247f9e1feef4 and 50ead2537441 and then redo Jan's patches on
> top of them.

I am still using the ext4 tree from next-20230217 (which was empty
relative to Linus' tree).

So, I have to ask why all these commits were only published to
linux-next over the weekend?

-- 
Cheers,
Stephen Rothwell